Skip to content

Delete resources ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Delete resources by resource unique identifier and permission group.

Method name ​

ManagementClient.delete_resource

Request parameters ​

NameTypeRequiredDefault valueDescriptionSample value
codestringyes-Resource unique identifierecs
namespacestringno-Code of the permission group (permission space). Do not pass to obtain the default permission group.default

Request Response ​

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data Structure ​

IsSuccessDto ​

NameTypeIs it requiredDescriptionExample value
successbooleanyesWhether the operation was successfultrue